# $Revision: 1.52 $, $Date: 2012/01/26 19:40:04 $
#
# Conditional build:
%bcond_with	oracle		# build with oracle support
%bcond_with	instantclient	# build oracle support with oracle-instantclient
#
Summary:	A graphical toolkit for database developers and administrators
Summary(pl.UTF-8):	Zestaw graficznych narzędzi dla programistów i administratorów baz danych
Name:		tora
Version:	2.1.3
Release:	2
License:	GPL v2
Group:		Applications/Databases/Interfaces
Source0:	http://downloads.sourceforge.net/tora/%{name}-%{version}.tar.gz
# Source0-md5:	ea4a75a9daeaf58492413e3f7fe40293
Source1:	%{name}.desktop
Patch0:		%{name}-postgresql.patch
Patch1:		%{name}-gcc.patch
Patch2:		%{name}-build.patch
URL:		http://tora.sourceforge.net/
BuildRequires:	QtCore-devel
BuildRequires:	QtGui-devel
BuildRequires:	QtNetwork-devel
BuildRequires:	QtSql-devel
BuildRequires:	QtXml-devel
BuildRequires:	cppunit-devel
%{?with_instantclient:BuildRequires:	oracle-instantclient-devel}
BuildRequires:	pcre-devel
BuildRequires:	postgresql-devel
BuildRequires:	qscintilla2-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-linguist
BuildRequires:	xorg-lib-libICE-devel
Suggests:	QtSql-pgsql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with oracle}
# ORACLE_HOME is required for oracle
%define _preserve_env %_preserve_env_base ORACLE_HOME
%endif

%description
TOra features a schema browser, SQL worksheet, PL/SQL editor and
debugger, storage manager, rollback segment monitor, instance manager,
and SQL output viewer. Via qt3 it can access PostgreSQL and MySQL
directly. Any other database systems can be accessed via ODBC.

%description -l pl.UTF-8
TOra zawiera przeglądarkę schematów, arkusz roboczy SQL, edytor i
debugger PL/SQL, zarządcę danych, monitor segmentów wycofań, zarządcę
instancji i przeglądarkę wyjścia SQL. Poprzez qt3 może współpracować
bezpośrednio z bazami PostgreSQL i MySQL. Inne systemy baz danych mogą
być obsługiwane poprzez ODBC.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

rm -f src/moc_*

%build
%{__libtoolize}
%{__aclocal} -I config/m4
%{__autoconf}
%{__automake}
%configure \
	--libdir=%{_datadir}/%{name} \
	--with-qt-libraries=%{_libdir} \
%if %{with oracle}
    %if %{with instantclient}
	--with-instant-client \
	--with-oracle-includes=%{_includedir}/oracle/client \
	--with-oracle-libraries=%{_libdir} \
    %endif
	--with-oracle
%else
	--without-oracle
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install src/icons/tora.xpm $RPM_BUILD_ROOT%{_pixmapsdir}
cp -a src/templates $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/help
%{_datadir}/%{name}/templates
%{_datadir}/%{name}/*.qm
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*
%{_infodir}/tora*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tora.spec,v $
Revision 1.52  2012/01/26 19:40:04  arekm
- release 2

Revision 1.51  2011/09/26 12:03:42  baggins
- updated to 2.1.3

Revision 1.50  2011/09/17 20:12:55  arekm
- rel 4; fix build

Revision 1.49  2011/09/17 11:46:19  arekm
- release 3

Revision 1.48  2011/08/31 09:18:51  arekm
- release 2

Revision 1.47  2010/09/10 23:52:33  baggins
- 2.1.2
- allow building with oracle-instantclient
- updated BR

Revision 1.46  2010/01/04 14:41:20  zawadaa
- Suggests QtSql-pgsql - to use with Postgresql

Revision 1.45  2009/12/02 22:04:33  baggins
- rel 1
- updated BR

Revision 1.44  2009/12/02 22:03:57  baggins
- added info

Revision 1.43  2009/12/02 21:45:06  baggins
- removed obsolete gcc4 patch

Revision 1.42  2009/12/02 16:57:42  baggins
- started update to 2.1.1

Revision 1.41  2009/09/10 11:51:47  baggins
- rel 1

Revision 1.40  2009/09/04 12:17:32  baggins
- updated to 2.0.0
- removed outdated patches

Revision 1.39  2007/02/12 22:09:18  glen
- tabs in preamble

Revision 1.38  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.37  2006/11/13 15:38:04  sparky
- don't use %{?without_...:...}, it may not work after inverting bcond

Revision 1.36  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.35  2006/08/18 21:41:10  darekr
- typo

Revision 1.34  2006/05/22 15:32:52  wiget
- added cpp.patch (declate toThreadStartWrapper before use it)

Revision 1.33  2006/04/29 13:20:34  qboosh
- pl desc

Revision 1.32  2006/04/26 13:54:08  baggins
- fixed install
- don't start with window maximized

Revision 1.31  2006/04/25 23:27:53  baggins
- fixed files

Revision 1.30  2006/04/25 23:27:16  baggins
- install dir fix

Revision 1.29  2006/04/25 23:11:31  baggins
- LDFLAGS patch is not really needed
- fix libdir
- fix files

Revision 1.28  2006/04/25 23:02:54  prism
- URL fix, case-sensitive name (which should be kept unified, IMHO)

Revision 1.27  2006/04/25 22:52:09  baggins
- post/postun

Revision 1.26  2006/04/25 22:49:24  baggins
- create all dirs in install

Revision 1.25  2006/04/25 22:47:44  baggins
- remove non-needed BRs

Revision 1.24  2006/04/25 22:45:21  baggins
- package all files

Revision 1.23  2006/04/25 22:32:02  baggins
- mono-devel is not required
- enable plugin support

Revision 1.22  2006/04/25 22:25:30  baggins
- better summary and description
- more BRs

Revision 1.21  2006/04/25 21:58:41  baggins
- regenerate ac/am

Revision 1.20  2006/04/25 21:57:59  baggins
- removed -avoid-version and rpath from LDFLAGS

Revision 1.19  2006/04/25 21:55:08  baggins
- oracle bcond

Revision 1.18  2006/04/25 21:53:29  baggins
- normal configure

Revision 1.17  2006/04/25 17:39:48  baggins
- up to 1.3.21

Revision 1.16  2006/02/28 23:37:25  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.15  2005/02/23 09:54:50  megabajt
- update desktop file
- added %%{_pixmapsdir}
- release 0.3
- other cosmetics

Revision 1.14  2005/02/22 18:28:39  megabajt
- fixed group

Revision 1.13  2005/02/22 17:59:02  megabajt
- proper license

Revision 1.12  2005/01/05 01:39:01  zawadaa
- add buildreq. - now builds
- some paths cleanups

Revision 1.11  2004/12/27 00:57:49  adamg
- updated to 1.3.14.1
- pass --with-gcc="%%{__cc}"
- applnkdir -> desktopdir (desktop file to be updated)
- rel 0.1

Revision 1.10  2004/07/15 19:56:41  mwinkler
- updated to 1.3.14

Revision 1.9  2004/02/09 00:19:04  mwinkler
- remove X11R6 from configure

Revision 1.8  2004/02/08 21:42:04  mwinkler
- version 1.3.13

Revision 1.7  2003/11/05 11:38:14  djrzulf
- updated do 1.3.12, now builds,

Revision 1.6  2003/05/28 13:02:18  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 06:27:25  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/12 09:54:55  qboosh
- working Source URL, minor fixes where needed

Revision 1.3  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.2  2002/11/08 21:45:10  mkochano
- Missing Source:.

Revision 1.1  2002/11/08 21:15:45  mkochano
- Release 1.
- Version 1.3.8.
- New spec based on template.
